## org.eclipse.datatools.sqltools.sqlbuilder.views.insert
Class InsertSelectViewer

    java.lang.Object
      org.eclipse.jface.viewers.Viewer
          org.eclipse.jface.viewers.ContentViewer
              org.eclipse.datatools.sqltools.sqlbuilder.views.insert.InsertSelectViewer

All Implemented Interfaces:
  org.eclipse.jface.viewers.IInputProvider, org.eclipse.jface.viewers.IInputSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider

    public class InsertSelectViewer

extends org.eclipse.jface.viewers.ContentViewer

Insert Statement Contents - Subquery Pane

Nested Class Summary
`class` `InsertSelectViewer.ColumnContentProvider`
`class` `InsertSelectViewer.ColumnListGridViewer`

Constructor Summary
`InsertSelectViewer(SQLDomainModel domain)`

Method Summary
`org.eclipse.swt.widgets.Control` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Control` `getControl()`
`java.lang.Object` `getInput()`
`org.eclipse.jface.viewers.ISelection` `getSelection()`
`void` `inputChanged(java.lang.Object element, java.lang.Object oldElement)`
`void` `refresh()`
`void` `setEnabled(boolean enable)`
`void` `setInput(java.lang.Object input)`
`void` `setSelection(org.eclipse.jface.viewers.ISelection selection, boolean reveal)`

Methods inherited from class org.eclipse.jface.viewers.ContentViewer
`getContentProvider, getLabelProvider, setContentProvider, setLabelProvider`

Methods inherited from class org.eclipse.jface.viewers.Viewer
`addHelpListener, addSelectionChangedListener, getData, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertSelectViewer

    public InsertSelectViewer(SQLDomainModel domain)

Method Detail

### createControl

    public org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

### getControl

    public org.eclipse.swt.widgets.Control getControl()

  Specified by:
    `getControl` in class `org.eclipse.jface.viewers.Viewer`

### setInput

    public void setInput(java.lang.Object input)

  Overrides:
    `setInput` in class `org.eclipse.jface.viewers.ContentViewer`

### getInput

    public java.lang.Object getInput()

  Specified by:
    `getInput` in interface `org.eclipse.jface.viewers.IInputProvider`
  Overrides:
    `getInput` in class `org.eclipse.jface.viewers.ContentViewer`

### refresh

    public void refresh()

  Specified by:
    `refresh` in class `org.eclipse.jface.viewers.Viewer`

### inputChanged

    public void inputChanged(java.lang.Object element,
                             java.lang.Object oldElement)

  Overrides:
    `inputChanged` in class `org.eclipse.jface.viewers.Viewer`

### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

  Specified by:
    `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`
  Specified by:
    `getSelection` in class `org.eclipse.jface.viewers.Viewer`

### setSelection

    public void setSelection(org.eclipse.jface.viewers.ISelection selection,
                             boolean reveal)

  Specified by:
    `setSelection` in class `org.eclipse.jface.viewers.Viewer`

### setEnabled

    public void setEnabled(boolean enable)